<?php
//session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

//ini_set('display_errors', 1);
//ini_set('display_startup_errors', 1);
//error_reporting(E_ALL);

$traza=(isset($_GET['traza']) && $_GET['traza']=='si');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');


$gestionLineas=($_SESSION['parametrosSGA']['GestionLineasTrabajo']=='S');
$gestionTurnos=($_SESSION['parametrosSGA']['GestionTurnosTrabajo']=='S');
$FichajesActividadesVarias=($_SESSION['parametrosSGA']['FichajesActividadesVarias']=='S');
$FichajesActivodEnTransformacion=($_SESSION['parametrosSGA']['FichajesActivodEnTransformacion']=='S');


if($FichajesActividadesVarias || $FichajesActivodEnTransformacion) {

	$peticion='ListaDeOperariosFichajes#'.$_SESSION['empresa'];
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
		
	if($traza) {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	$operarios=arreglaArrayPXMobileProxiumResult($resultado[0]['ListaOperarios']);
	
	$comboEmpresas=array();
	$comboTipoRelacion=array();
	
	foreach($operarios as $item) {
	
		if(!in_array($item['NombreEmpresaContratante'],$comboEmpresas) && $item['NombreEmpresaContratante']!='') $comboEmpresas[]=$item['NombreEmpresaContratante'];
		if(!in_array($item['TipoDeRelacion'],$comboTipoRelacion) && $item['TipoDeRelacion']!='') $comboTipoRelacion[]=$item['TipoDeRelacion'];
			
	}
	
	asort($comboEmpresas);
	asort($comboTipoRelacion);
	
	if(isset($_GET['procedencia']) && $_GET['procedencia']) $procedencia=$_GET['procedencia'];
	
	if(isset($_GET['actividad']) && $_GET['actividad']) $actividad=$_GET['actividad'];
	if(isset($_GET['tipoOperacion']) && $_GET['tipoOperacion']) $tipoOperacion=$_GET['tipoOperacion']; else $tipoOperacion='-';
	if(isset($_GET['operacion']) && $_GET['operacion']) $operacion=$_GET['operacion']; else $operacion='-';
	
	if(isset($_GET['proceso']) && $_GET['proceso']) $proceso=$_GET['proceso'];
	if(isset($_GET['turno']) && $_GET['turno']) $turno=$_GET['turno']; else $turno='-';
	if(isset($_GET['turnoNombre']) && $_GET['turnoNombre']) $turnoNombre=$_GET['turnoNombre']; else $turnoNombre='-';
	if(isset($_GET['linea']) && $_GET['linea']) $linea=$_GET['linea']; else $linea='-';
	if(isset($_GET['lineaNombre']) && $_GET['lineaNombre']) $lineaNombre=$_GET['lineaNombre']; else $lineaNombre='-';
	if(isset($_GET['operarios']) && $_GET['operarios']) $cadenaOperarios=$_GET['operarios']; else $cadenaOperarios='';
	
	if(isset($_GET['parametros']) && $_GET['parametros']) $parametros=$_GET['parametros']; else $parametros='';
	
	if($traza) {
	
		echo '<p>turno: '.$turno.'</p>';
	
	}
	
	if($cadenaOperarios) {
		$operariosSeleccionados=explode(';',$cadenaOperarios);
	}
	else $operariosSeleccionados=NULL;
	
	$nombreActividad='';
	$nombreActividadSubtitulo='';
	$textoAviso='';
	
	$mostrarBotonHistorico=false;
	
	switch($procedencia) {
	
		case 'generica':
			
			$urlVolverParametros='&actividad='.$actividad.'&proceso='.$proceso.'&turno='.$turno;
			$urlVolver='fichajes.php?'.$urlVolverParametros;
			
			$urlGrabar=$urlVolver;
			
			foreach($_SESSION['fichaje']['actividades'] as $item) if($item['CodigoActividad']==$actividad) $nombreActividad=$item['NombreActividad'];
			
			break;
			
		case 'transformacion':
		
			$urlVolverParametros='&'.$_SESSION['operacion']['parametrosActuales'];
			$urlVolver='operacion-logistica-transformacion.php?'.$urlVolverParametros;
			
			$urlGrabarParametros='&actividad='.$actividad.'&tipoOperacion='.$tipoOperacion.'&operacion='.$operacion.'&proceso='.$proceso.'&turno='.$turno.'&linea='.$linea;
			$urlGrabar='fichajes.php?procedencia=transformacion&confirmarFichaje=1'.$urlGrabarParametros;
			
			$nombreActividad=$operacion;
			if($turnoNombre) $nombreActividadSubtitulo.=$turnoNombre;
			if($turnoNombre && $lineaNombre) $nombreActividadSubtitulo.=' / ';
			if($lineaNombre) $nombreActividadSubtitulo.=$lineaNombre;
			
			//15-04-2026 ESTE MENSAJE SERÍA EN EL CASO QUE LA TRANSFORMACION YA ESTÉ INICIADA Y CON PRODUCTOS Y PALETS ACTIVOS
			//			 SI NO, SE PODRÁ QUITAR Y AÑADIR OPERARIOS
			if( $_SESSION['operacion']['EstadoProduccion']=='Iniciado' && $_SESSION['operacion']['todosProductosUtilizarTienenPalets']>0 ) {
				$textoAviso='Para añadir o quitar operarios en el fichaje actual, debes realizar un cierre, con o sin cantidad.';
			}
			
			$usuariosPreSeleccionados=array();
			foreach(arreglaArrayPXMobileProxiumResult($_SESSION['operacion']['ListaUsuariosAsociados']) as $item) $usuariosPreSeleccionados[]=$item['CodigoOperario'];
			
			if(!$operariosSeleccionados) $operariosSeleccionados=$usuariosPreSeleccionados;
			
			//echo '<p>usuariosPreSeleccionados:</p>';
			//print_r($usuariosPreSeleccionados);
			
			$mostrarBotonHistorico=true;
			
			//echo '<p>procedencia: '.$procedencia.'</p>';
			//echo '<p>proceso: '.$proceso.'</p>';
			//echo '<p>EstadoProduccion: '.$_SESSION['operacion']['EstadoProduccion'].'</p>';
            //echo '<p>todosProductosUtilizarTienenPalets1 : '.$_SESSION['operacion']['todosProductosUtilizarTienenPalets'].'</p>';
			
			break;
			
		case 'transformacionCierre':
		
			$urlVolver='operacion-logistica-transformacion-cierre.php?';
			$urlGrabar=$urlVolver;
		
			$titulo='Seleccionar operarios';
			$nombreActividadSubtitulo='Seleccionar los operarios que continuarán con el fichaje después del cierre de producto.';
			
	}
	
	$esInicio=($proceso=='INICIO');
	$esFin=($proceso=='FIN');
	$esContinuacion=($proceso=='CONTINUACION');
	
	
	if(!$titulo) {
	
		if($esInicio) $nombreProceso='Iniciar fichaje en';
		else if($esFin) $nombreProceso='Finalizar fichaje en';
		else $nombreProceso='Fichajes en curso en';
		
		$titulo=$nombreProceso.' '.$nombreActividad;
		
	}
	
	?>
	<div id="popupFichajes" class="popup" style="display:none"></div>
	<div id="popupFichajesContenido" class="popupContenidoScroll" style="display:none"></div>
	
	<h2><?php echo $titulo; ?></h2>
    <?php if($nombreActividadSubtitulo) { ?><p><?php echo $nombreActividadSubtitulo; ?></p><?php } ?>
    
    
	
	<table class="tablaFormateada">
		<tr>
        	<?php if($proceso) { ?>
			<th>Seleccionar</th>
            <?php } ?>
			<th>Nombre</th>
			<th>Empresa</th>
			<!--<th>Tipo relación</th>-->
			<th>Multifichaje</th>
			<th>Fichaje</th>
		</tr>
		
		<?php foreach($operarios as $operario) { ?>
		
			<?php

            $listaFichajes=array();
            
            if(isset($operario['ListaFichajes']) && $operario['ListaFichajes'] ) {
                $listaFichajes=arreglaArrayPXMobileProxiumResult($operario['ListaFichajes']);
                $listaFichajesCodificada=base64_encode(json_encode($listaFichajes));
            }
            else {
                $listaFichajesCodificada=NULL;
            }
            
            
            ////// SELECCIONABLE DISPONIBLE
            
            if($traza) {
                echo '<p>Operario: '.$operario['NombreCompleto'].'</p>';
                print_r($listaFichajes);
				echo '<br>';
            }
            
            $operarioActivo=($operario['EstadoActual']=='Activo');
            $tieneAlgunaActividadEnCurso=(count($listaFichajes)>0);
            
            
            
            $tieneActividadSeleccionadaEnCurso=false;
			
            foreach($listaFichajes as $fichaje) {
            
                //echo '<p>'.$fichaje['TipoOperacionFichaje'].' contra '.$tipoOperacion.'</p>';
                //echo '<p>'.$fichaje['ActividadFichaje'].' contra '.$actividad.'</p>';
                //echo '<p>'.$fichaje['numeroOperacion'].' contra '.$operacion.'</p>';
                //echo '<p>'.$fichaje['TurnoFichaje'].' contra '.$turno.'</p>';
                //echo '<p>'.$fichaje['LineaFichaje'].' contra '.$linea.'</p>';
				//echo '<p>proceso: '.$proceso.'</p>';
				
				if(!$tieneActividadSeleccionadaEnCurso) {
            
					$tieneActividadSeleccionadaEnCurso=($fichaje['TipoOperacionFichaje']==$tipoOperacion && $fichaje['ActividadFichaje']==$actividad && $fichaje['numeroOperacion']==$operacion);
					
					if(!$proceso || $proceso=='CONTINUACION') {
						 //Si no hay proceso, es que es consulta dentro de una transformacion (no generico), entonces la coincidencia debe ser absoluta
						 if($gestionTurnos) $tieneActividadSeleccionadaEnCurso=($tieneActividadSeleccionadaEnCurso && $fichaje['TurnoFichaje']==$turno);
						 if($gestionLineas) $tieneActividadSeleccionadaEnCurso=($tieneActividadSeleccionadaEnCurso && $fichaje['LineaFichaje']==$linea);
					}
					
				}
                
                if($traza) echo '>>>> tieneActividadSeleccionadaEnCurso: '.$tieneActividadSeleccionadaEnCurso.'<br>';
            
            }
            
			$esMultifichaje=($operario['MultiFichaje']=='S');
            $seleccionable=true;
			
			if($traza) echo '<p>>>>> seleccionable: '.$seleccionable.'</p>';
            
            if(!$operarioActivo) {
                if($traza) echo '>>>> Inactivo.'.'<br>';
                $seleccionable=false;
            }
            
            if(!$esMultifichaje && $esInicio && $tieneAlgunaActividadEnCurso) {
                if($traza) echo '>>>> Tiene algun fichaje en curso y no tiene multifichaje.'.'<br>';
                $seleccionable=false;
            }

            if($tieneActividadSeleccionadaEnCurso && $esInicio) {
                if($traza) echo '>>>> Es inicio y ya tiene esa actividad iniciada'.'<br>';
                $seleccionable=false;
            }
            
            if($esFin && !$tieneActividadSeleccionadaEnCurso) {
                if($traza) echo '>>>> Es fin y no tiene esa actividad iniciada'.'<br>';
                $seleccionable=false;
            }
			
			if($esContinuacion) {
				if($tieneActividadSeleccionadaEnCurso) $seleccionable=true;
				else if($tieneAlgunaActividadEnCurso && !$esMultifichaje) $seleccionable=false;
			}
            
            ////// Fin seleccionable & disponible
			
			if($traza) echo '<p>>>>> proceso: '.$proceso.'</p>';
            if($traza) echo '<p>>>>> seleccionable 2: '.$seleccionable.'</p>';
            
            if($seleccionable) $operarioDisponible='D';
            else $operarioDisponible='';
            
            if($traza) {
                echo '<hr>';
            }
            
            ?>
            
            <?php if($proceso || ( !$proceso && $tieneActividadSeleccionadaEnCurso ) ) { ?>
            
  				<tr class="lineaOrden clicable <?php if(!$operarioActivo) { ?>deshabilitado<?php } ?>" codigoUsuario="<?php echo $operario['CodigoUsuario']; ?>" nombreUsuario="<?php echo $operario['NombreCompleto']; ?>" empresa="<?php echo $operario['NombreEmpresaContratante']; ?>" tipoRelacion="<?php echo $operario['TipoDeRelacion']; ?>" multifichaje="<?php echo $operario['MultiFichaje']; ?>" operarioDisponible="<?php echo $operarioDisponible; ?>" estadoActual="<?php echo $operario['EstadoActual']; ?>" style="font-size:1.2em;" >
   					<?php if($proceso) { ?>
                    <td><?php if($seleccionable) { ?><input name="selector-<?php echo $operario['CodigoUsuario']; ?>" id="selector-<?php echo $operario['CodigoUsuario']; ?>" type="checkbox" value="1" class="checkGrande selectorOperario" <?php if(is_array($operariosSeleccionados) && in_array($operario['CodigoUsuario'],$operariosSeleccionados)) { ?>checked<?php } ?>/><?php } ?></td>
                    <?php } ?>
                    <td style="text-align:left"><?php echo $operario['NombreCompleto']; ?></td>
                    <td><?php echo $operario['NombreEmpresaContratante']; ?></td>
                    <!--<td><?php echo $operario['TipoDeRelacion']; ?></td>-->
    <td><?php if($operario['MultiFichaje']=='S') { ?><img src="img_nx/ok.png" style="width:35px" /><?php } ?></td>
                    <td><?php if($operarioActivo && $tieneAlgunaActividadEnCurso) { ?><img src="img_nx/reloj.png" width="35" height="35" class="verFichajes" operario="<?php echo $operario['NombreCompleto']; ?>" fichajes="<?php if($listaFichajesCodificada) echo $listaFichajesCodificada; ?>"/><?php } ?></td>
                </tr>
                
            <?php } ?>
		
		<?php } //Foreach operarios?>
        
</table>
	
	<?php if($proceso) { //Puede ser solo consulta ?>
	<p><input type="button" name="botonConfirmarOperarios" id="botonConfirmarOperarios" value="Confirmar operarios" class="boton"/></p>
    <?php } ?>
    
    <?php if($textoAviso) { ?>
    <p><img src="img_nx/iconos/advertencia.png" width="50" height="50" /><br /><?php echo $textoAviso; ?></p>
    <?php } ?>
    
    
    <?php if($mostrarBotonHistorico) { ?>
    
    	<?php
        $url=$_SERVER['REQUEST_URI'];
        $partes=explode('?',$url);
        $parametrosActuales=$partes[1];
		?>
        
        <p><input type="button" name="botonHistoricoProductividad" id="botonHistoricoProductividad" value="Histórico de productividad" class="boton"/></p>
        
        <script>
        
            $(document).ready(function(){
			
				$('#botonHistoricoProductividad').on('click',function(){
            
					$('#popupCargando').show();
					window.location='fichajes-productividad.php?<?php echo $parametrosActuales; ?>';
					
				});
            
            });
        
        </script>
    
    <?php } ?>
	
    
    <p style="margin-bottom:150px"><input type="button" name="botonCancelar" id="botonCancelar" value="<?php if($proceso) { ?>Cancelar<?php } else { ?>Volver<?php } ?>" class="boton reducido"/></p>
	
    <?php if($proceso) { ?>
    
	<div class="barraFiltro">
			
		<table cellpadding="5" style="margin:0 auto">
			<tr>
			
				<td>
				Buscar:<br /> 
				<input type="text" name="filtroBuscar" id="filtroBuscar" class="campo selectorFiltro" style="width:200px;font-size:1.05em;text-transform:uppercase"></td>
			
				<td>
				Ver operarios:<br /> 
				<select name="filtroSeleccionarOperarios" id="filtroSeleccionarOperarios" class="campo selectorFiltro" >
					<option value="D" selected>Solo disponibles</option>
					<option value="">Todos los operarios</option>
				</select>
				</td>
	
				<td>
				Empresa:<br /> 
				<select name="filtroEmpresa" id="filtroEmpresa" class="campo selectorFiltro" >
					<option value="">---</option>
					<?php foreach($comboEmpresas as $item) { ?>
					<option value="<?php echo $item; ?>"><?php echo $item; ?></option>
					<?php } ?>
				</select>
				</td>
				
				<!--
				<td>
				Tipo relación:<br /> 
				<select name="filtroTipoRelacion" id="filtroTipoRelacion" class="campo selectorFiltro" style="width:90px">
					<option value="">---</option>
					<?php foreach($comboTipoRelacion as $item) { ?>
					<option value="<?php echo $item; ?>"><?php echo $item; ?></option>
					<?php } ?>
				</select>
				</td>
				-->
				<input type="hidden" name="filtroTipoRelacion" id="filtroTipoRelacion" class="selectorFiltro">
				
				<td>
				Multifichaje:<br /> 
				<select name="filtroMultifichaje" id="filtroMultifichaje" class="campo selectorFiltro" style="width:90px">
					<option value="">---</option>
					<option value="S">Sí</option>
					<option value="N">No</option>
				</select>
				</td>
                
                <td>
				Estado:<br /> 
				<select name="filtroEstadoActual" id="filtroEstadoActual" class="campo selectorFiltro" style="width:120px">
                	<option value="">Todos</option>
					<option value="Activo">Activos</option>
					<option value="Inactivo">Inactivos</option>
				</select>
				</td>
				
				<td>
				<img id="filtroApagado" src="<?php echo DIR_IMAGENES; ?>/botones/filter-off.png" alt="Filtro" style="width:60px;height:60px;"/>
				<img id="aplicarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer;"/>
				<img id="quitarFiltro" src="<?php echo DIR_IMAGENES; ?>/botones/filter-remove.png" alt="Filtro" style="display:none;width:60px;height:60px;cursor:pointer"/>
				</td>
			</tr>
		</table>
			
	</div>
    
    <?php } //Fin if proceso ?>
		
<script>
		
			/*
			function validacionComun() {
			
				let hayAlgunoSeleccionado=false;
				
				$('.selectorOperario').each(function(){
					if($(this).is(':checked')) hayAlgunoSeleccionado=true;
				});
			
				if( !$('#actividad').val() ) {
					alert('Error: Debes indicar el tipo de actividad.',null,'error');
					return false;
				}
				else if(!hayAlgunoSeleccionado) {
					alert('Error: No hay ningún operario seleccionado.',null,'error');
					return false;
				}
				else return true;
			
			}
		
			function validarInicio() {
			
				let hayOperariosNoMultiSeleccionados=false;
				
				$('.lineaOrden').each(function(){
					
					const codigoUsuario=$(this).attr('codigoUsuario');
					const multifichaje=($(this).attr('multifichaje')=='S');
					
					const seleccionado=$('#selector-'+codigoUsuario).is(':checked');
					
					if(seleccionado && !multifichaje) hayOperariosNoMultiSeleccionados=true;
					
				});
				
				
				if(hayOperariosNoMultiSeleccionados) {
					alert('Error: Has seleccionado iniciar un fichaje sobre operarios que no son multifichaje<br>y ya tienen un fichaje en curso.',null,'error');
					return false;
				}
				else return true;
			
			}
			*/
		
			function repintarTabla() {
		
				$(".lineaOrden").children('td').css('background-color','#ffffff');
				$(".lineaOrden").children('td').css('border-bottom','');
				$(".lineaOrden").children('td').css('border-radius','');
				$(".lineaOrden").children('td').css('-mozborder-radius','');
				$(".lineaOrden").children('td').css('-webkit-border-radius','');
			
				var par=true;
				$(".lineaOrden").each(function(){
					if( $(this).is(":visible") ) {
						if(par) $(this).children('td').css('background-color','#ffffff');
						else $(this).children('td').css('background-color','#eeeeee');
						par = !par;
						ultimaFila=$(this);
					}
				});
				
				ultimaFila.children('td').css('border-bottom','1px solid #999999');
				ultimaFila.children('td:first').css('border-radius','0 0 0 15px');
				ultimaFila.children('td:first').css('-mozborder-radius','0 0 0 15px');
				ultimaFila.children('td:first').css('-webkit-border-radius','0 0 0 15px');
				ultimaFila.children('td:last').css('border-radius','0 0 15px 0');
				ultimaFila.children('td:last').css('-mozborder-radius','0 0 15px 0');
				ultimaFila.children('td:last').css('-webkit-border-radius','0 0 15px 0');
			
			}
			
			function aplicarFiltro(id) {
			
				if( $('#filtroBuscar').val()=='' && $('#filtroSeleccionarOperarios').val()=='' && $('#filtroEstado').val()=='' && $('#filtroCliente').val()=='' && $('#filtroReferencia').val()=='' && $('#filtroEstadoActual').val()=='' ) {
					$('#filtroApagado').show();
					$('#quitarFiltro').hide();
					$('#aplicarFiltro').hide();
				}
				else  {
					$('#filtroApagado').hide();
					$('#quitarFiltro').show();
					$('#aplicarFiltro').hide();
				}
				
				
				
				$('.lineaOrden').each(function() {
				
					var coincidenciaBuscar=false
					var coincidenciaOperarioDisponible=false;
					var coincidenciaEmpresa=false;
					var coincidenciaTipoRelacion=false;
					var coincidenciaMultiFichaje=false;
					var coincidenciaEstadoActual=false;
				
					if( $('#filtroBuscar').val()!='' && $(this).attr('nombreUsuario').toUpperCase().includes($('#filtroBuscar').val().toUpperCase()) ) coincidenciaBuscar=true;
					else if( $('#filtroBuscar').val()=='' ) coincidenciaBuscar=true;
				
					if( $('#filtroSeleccionarOperarios').val()!='' && $(this).attr('operarioDisponible')==$('#filtroSeleccionarOperarios').val() ) coincidenciaOperarioDisponible=true;
					else if( $('#filtroSeleccionarOperarios').val()=='' ) coincidenciaOperarioDisponible=true;
				
					if( $('#filtroEmpresa').val()!='' && $(this).attr('empresa')==$('#filtroEmpresa').val() ) coincidenciaEmpresa=true;
					else if( $('#filtroEmpresa').val()=='' ) coincidenciaEmpresa=true;
				
					if( $('#filtroTipoRelacion').val()!='' && $(this).attr('tipoRelacion')==$('#filtroTipoRelacion').val() ) coincidenciaTipoRelacion=true;
					else if( $('#filtroTipoRelacion').val()=='' ) coincidenciaTipoRelacion=true;
					
					if( $('#filtroMultifichaje').val()!='' && $(this).attr('multifichaje')==$('#filtroMultifichaje').val() ) coincidenciaMultiFichaje=true;
					else if( $('#filtroMultifichaje').val()=='' ) coincidenciaMultiFichaje=true;
					
					if( $('#filtroEstadoActual').val()!='' && $(this).attr('estadoActual')==$('#filtroEstadoActual').val() ) coincidenciaEstadoActual=true;
					else if( $('#filtroEstadoActual').val()=='' ) coincidenciaEstadoActual=true;
					
					if( coincidenciaBuscar && coincidenciaOperarioDisponible && coincidenciaEmpresa && coincidenciaTipoRelacion && coincidenciaMultiFichaje && coincidenciaEstadoActual ) $(this).show();
					else $(this).hide();
					
				});
				
		
				//Revertimos el check actual si viniera de la linea acutomatico porque confunde al filtrar
				if(id) {
					if( $('#'+id).is(":checked") ) $('#'+id).prop("checked",false);
					else $('#'+id).prop("checked",true);
				}
		
				repintarTabla();
			
			}
		
			$(document).ready(function() {
				
				$('.lineaOrden').on('click',function(e){
				
					if ( !$(e.target).hasClass('checkGrande') && !$(e.target).hasClass('verFichajes') ) {
					
						console.log(e.target);
						console.log(this);
				
						let codigoUsuario=$(this).attr('codigoUsuario');
						let selector=$('#selector-'+codigoUsuario);
						
						if(selector.is(':checked')) selector.prop('checked',false);
						else selector.prop('checked',true);
						
					}
					
				});
				
				$('.selectorFiltro').on('change',function() {
					aplicarFiltro();
				});
				
				$('#quitarFiltro').on('click',function() {
			
					$('#filtroBuscar').val('');
					$('#filtroSeleccionarOperarios option:selected').removeProp('selected');
					$('#filtroEmpresa option:selected').removeProp('selected');
					$('#filtroTipoRelacion option:selected').removeProp('selected');
					$('#filtroMultifichaje option:selected').removeProp('selected');
					
					$('#filtroSeleccionarOperarios option[value=""]').prop('selected',true);
					$('#filtroEmpresa option[value=""]').prop('selected',true);
					$('#filtroTipoRelacion option[value=""]').prop('selected',true);
					$('#filtroMultifichaje option[value=""]').prop('selected',true);
					$('#filtroEstadoActual option[value=""]').prop('selected',true);
					
					$('#filtroApagado').show();
					$('#quitarFiltro').hide();
					$('#aplicarFiltro').hide();
		
					$(".lineaOrden").show();
					
					repintarTabla();
					
				});
				
				$('.verFichajes').on('click',function(){
		
					$('#popupCargando').show();
					
					let operario=$(this).attr('operario');
					let fichajes=$(this).attr('fichajes');
				
					$.post('<?php echo $rutaHtml; ?>/contenidos/fichajes.php' , { 'operario' : operario , 'fichajes' : fichajes })
					.done(function(data) {
					
						$('#popupCargando').hide();
					
						$('#popupFichajesContenido').html(data);
						$('#popupFichajes').show();
						$('#popupFichajesContenido').show();
						
						var posicion=$(document).scrollTop();
						$('#popupFichajesContenido').offset({ top: posicion+20 });
					});
					
				});
	
				$(document).on('click','#botonCerrarFichajes',function(){
				
					$('#popupFichajesContenido').html();
					$('#popupFichajes').hide();
					$('#popupFichajesContenido').hide();
				
				});
				
				$('#botonCancelar').on('click',function(){
				
					$('#popupCargando').show();
					window.location='<?php echo $urlVolver; ?>&cadenaOperarios=<?php echo $cadenaOperarios; ?>';
					
				});
				
				$('#botonConfirmarOperarios').on('click',function(){
				
					let cadenaOperarios='';
				
					$('.selectorOperario').each(function(){
					
						const temp=$(this).attr('id').split('selector-');
						const codigoUsuario=temp[1];
						
						if($(this).is(':checked')) {
							if(cadenaOperarios!='') cadenaOperarios+=';';
							cadenaOperarios+=codigoUsuario;
						}
						
					});
					
					//const operarios=btoa(cadenaOperarios); //POR GET NO SE PUEDE PASAR BASE64 PORQUE PUEDE CONTENER ==
					
					if(cadenaOperarios=='') {
						alert('No has seleccionado ningún operario para el fichaje.',null,'error');
					}
					else {
						$('#popupCargando').show();
						window.location='<?php echo $urlGrabar; ?>&cadenaOperarios='+cadenaOperarios+'&accion=guardar';
					}
					
				});
				
				aplicarFiltro();
				
			});
		
		</script>
	
	<?php
}
else include($rutaPhp.$rutaHtml.'/maqueta/error.php');

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
